// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}
var srDest = 5;

var err = initInstall("German Language Pack", "/mozilla/de-AT", "5.0.0.2000100908"); 
logComment("initInstall: " + err);

var communicatorFolder = getFolder("Program");
logComment("communicatorFolder: " + communicatorFolder);

if (verifyDiskSpace(communicatorFolder, srDest))
{
    err = addDirectory("", "bin", communicatorFolder, "");

    //err = addDirectory("Program",
    //                   "5.0.0.2000100908",
    //                   "bin",              // jar source folder 
    //                   communicatorFolder, // target folder 
    //                   "",                 // target subdir 
    //                   true );             // force flag 

    logComment("addDirectory() returned: " + err);

    // register chrome
    var cf = getFolder("Chrome");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, "locales/de-AT"));

    if (err==SUCCESS)
    {
	    err = performInstall(); 
	    logComment("performInstall() returned: " + err);
    }
    else
    {
	    cancelInstall(err);
	    logComment("cancelInstall() returned: " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);